#ifdef RCSID
static char RcsId[] = "@(#)$Revision: 1.2 $";
#endif
/*
$Header: /pita/work/HDF/dev/RCS/test/annotations/getSDSlablist.c,v 1.2 90/06/26 16:38:48 mfolk beta $

$Log:	getSDSlablist.c,v $
 * Revision 1.2  90/06/26  16:38:48  mfolk
 * Revised to be more like the Fortran version.
 * Mike Folk
 * 
 * Revision 1.1  90/04/19  11:15:23  mfolk
 * Initial revision
 * 
*/
#include <stdio.h>
#include "df.h"
char *malloc();

#define LISTSIZE 20
#define MAXLEN   15

main(argc, argv)
int argc;
char *argv[];
{
    int i, nlabels, startpos=1;
    uint16 reflist[LISTSIZE];
    char labellist[MAXLEN*LISTSIZE+1]; 
	
    printf("Labels of scientific data sets in file %s\n", argv[1]);
    nlabels = DFANlablist(argv[1],DFTAG_SDG, reflist, 
                                  labellist, LISTSIZE, MAXLEN, startpos);
    for (i=0; i<nlabels; i++) 
        printf("\n\t%d\tRef number: %d\tLabel: %s",
                                           i, reflist[i],labellist+(i*15));
    printf("\n\n");
}


